exponential_lpdf.hpp File Reference
`#include <stan/math/prim/scal/meta/is_constant_struct.hpp>`
`#include <stan/math/prim/scal/meta/OperandsAndPartials.hpp>`
`#include <stan/math/prim/scal/err/check_consistent_sizes.hpp>`
`#include <stan/math/prim/scal/err/check_nonnegative.hpp>`
`#include <stan/math/prim/scal/err/check_not_nan.hpp>`
`#include <stan/math/prim/scal/err/check_positive_finite.hpp>`
`#include <stan/math/prim/scal/fun/value_of.hpp>`
`#include <stan/math/prim/scal/meta/length.hpp>`
`#include <stan/math/prim/scal/meta/VectorView.hpp>`
`#include <stan/math/prim/scal/meta/VectorBuilder.hpp>`
`#include <stan/math/prim/scal/meta/partials_return_type.hpp>`
`#include <stan/math/prim/scal/meta/return_type.hpp>`
`#include <stan/math/prim/scal/fun/constants.hpp>`
`#include <stan/math/prim/scal/meta/include_summand.hpp>`
`#include <boost/random/exponential_distribution.hpp>`
`#include <boost/random/variate_generator.hpp>`
`#include <cmath>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<bool propto, typename T_y , typename T_inv_scale >
return_type< T_y, T_inv_scale >::type | stan::math::exponential_lpdf (const T_y &y, const T_inv_scale &beta)
| The log of an exponential density for y with the specified inverse scale parameter. More...
template<typename T_y , typename T_inv_scale >
return_type< T_y, T_inv_scale >::type | stan::math::exponential_lpdf (const T_y &y, const T_inv_scale &beta)

[ Stan Home Page ] © 2011–2016, Stan Development Team.